| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.SemiRing

Documentation

class SemiRing a where | Source

Methods

oplus :: a -> a -> a | Source

otimes :: a -> a -> a | Source

Instances

SemiRing Distance
SemiRing Weight
SemiRing Occurrence
SemiRing Edge
SemiRing a => SemiRing (Maybe a)

Produced by Haddock version 2.4.2